Bug 128515 - [patch] net/vnc: update to 4.1.3
Summary: [patch] net/vnc: update to 4.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-01 08:50 UTC by Eygene Ryabinkin
Modified: 2008-12-27 03:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2008-11-01 08:50:01 UTC
RealVNC had rolled out version 4.1.3 some days ago.  Since FreeBSD port
uses pseudo-submit form, fetching the source was failing -- the download
URL stays the same for the whole 4.x line.

Fix: The following patch will update the port to the latest version.



I will try to see if we can use some other URL, perhaps with the
explicit version.  Stay tuned ;))--8F0unVx4PgAdqmipFNxu30zDVoNMcwM0IDqqRkztzeHN7G1p
Content-Type: text/plain; name="4.1.2-to-4.1.3.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="4.1.2-to-4.1.3.diff"

diff -urN ./Makefile ../vnc/Makefile
--- ./Makefile	2008-11-01 11:26:50.000000000 +0300
+++ ../vnc/Makefile	2008-11-01 11:39:17.000000000 +0300
@@ -6,11 +6,10 @@
 #
 
 PORTNAME=	vnc
-PORTVERSION=	4.1.2
-PORTREVISION=	5
+PORTVERSION=	4.1.3
 CATEGORIES=	net ipv6
 MASTER_SITES=	http://www.realvnc.com/:vnc
-DISTNAME=	vnc-4_1_2-unixsrc
+DISTNAME=	vnc-4_1_3-unixsrc
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:vnc
 DIST_SUBDIR=	xc
 
@@ -20,8 +19,6 @@
 RUN_DEPENDS=	xorg-fonts>=7.2:${PORTSDIR}/x11-fonts/xorg-fonts \
 		xauth:${PORTSDIR}/x11/xauth
 
-BROKEN=		checksum mismatch
-
 GNU_CONFIGURE=	yes
 # The vnc supplied zlib seg. faults if compiled with -O
 CONFIGURE_ARGS=	--with-installed-zlib
diff -urN ./distinfo ../vnc/distinfo
--- ./distinfo	2008-11-01 11:26:50.000000000 +0300
+++ ../vnc/distinfo	2008-11-01 11:40:02.000000000 +0300
@@ -1,6 +1,6 @@
-MD5 (xc/vnc-4_1_2-unixsrc.tar.gz) = cf9a6fe8f592286b5e0fdde686504ffb
-SHA256 (xc/vnc-4_1_2-unixsrc.tar.gz) = ed73cd1abf4c4044032929fa2dd023d851f5fe37f88009523d3b08b7d836d542
-SIZE (xc/vnc-4_1_2-unixsrc.tar.gz) = 537713
+MD5 (xc/vnc-4_1_3-unixsrc.tar.gz) = a119f3c75ad2767c0588260e2abe39be
+SHA256 (xc/vnc-4_1_3-unixsrc.tar.gz) = a5897cbeaef74e02f23d43b89905f5a218041292743ed469f45092073c2bc047
+SIZE (xc/vnc-4_1_3-unixsrc.tar.gz) = 550870
 MD5 (xc/X430src-1.tgz) = 4f241a4f867363f40efa2b00dca292af
 SHA256 (xc/X430src-1.tgz) = 5276b045e154948fce7abba7d686406c65862d90b43b50f2546b33e38378f0d7
 SIZE (xc/X430src-1.tgz) = 10993622
How-To-Repeat: 
Fetch from 'http://www.realvnc.com/cgi-bin/download.cgi?product=free4/src/unix&acceptLicense=1&haveDetails=1&filetype=tar_gz',
untar and see that the current version is 4.1.3.
Comment 1 Edwin Groothuis freebsd_committer 2008-11-01 08:50:10 UTC
Maintainer of net/vnc,

Please note that PR ports/128515 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/128515

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-11-01 08:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Eygene Ryabinkin 2008-11-01 09:20:09 UTC
And the more complete patch: it gained the ability to download the
specified version of the RealVNC sources, at least for the current
incarnation of http://realvnc.com/cgi-bin/download.cgi

--- 4.1.2-to-4.1.3.diff begins here ---
diff -urN ./Makefile ../vnc/Makefile
--- ./Makefile	2008-11-01 11:26:50.000000000 +0300
+++ ../vnc/Makefile	2008-11-01 11:56:34.000000000 +0300
@@ -6,11 +6,10 @@
 #
 
 PORTNAME=	vnc
-PORTVERSION=	4.1.2
-PORTREVISION=	5
+PORTVERSION=	4.1.3
 CATEGORIES=	net ipv6
 MASTER_SITES=	http://www.realvnc.com/:vnc
-DISTNAME=	vnc-4_1_2-unixsrc
+DISTNAME=	vnc-4_1_3-unixsrc
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}:vnc
 DIST_SUBDIR=	xc
 
@@ -20,8 +19,6 @@
 RUN_DEPENDS=	xorg-fonts>=7.2:${PORTSDIR}/x11-fonts/xorg-fonts \
 		xauth:${PORTSDIR}/x11/xauth
 
-BROKEN=		checksum mismatch
-
 GNU_CONFIGURE=	yes
 # The vnc supplied zlib seg. faults if compiled with -O
 CONFIGURE_ARGS=	--with-installed-zlib
@@ -73,7 +70,7 @@
 # No direct URL for VNC -- have to pseudo-submit their webform.
 pre-fetch:
 	@${MKDIR} ${DISTDIR}/${DIST_SUBDIR} && cd ${DISTDIR}/${DIST_SUBDIR} && \
-	${FETCH_CMD} -o ${DISTNAME}.tar.gz 'http://www.realvnc.com/cgi-bin/download.cgi?product=free4/src/unix&acceptLicense=1&haveDetails=1&filetype=tar_gz'
+	${FETCH_CMD} -o ${DISTNAME}.tar.gz 'http://www.realvnc.com/cgi-bin/download.cgi?product=free4/src/unix&acceptLicense=1&haveDetails=1&filetype=tar_gz&filever=$(PORTVERSION)'
 
 post-extract:
 .if !defined(WITHOUT_SERVER)
diff -urN ./distinfo ../vnc/distinfo
--- ./distinfo	2008-11-01 11:26:50.000000000 +0300
+++ ../vnc/distinfo	2008-11-01 11:40:02.000000000 +0300
@@ -1,6 +1,6 @@
-MD5 (xc/vnc-4_1_2-unixsrc.tar.gz) = cf9a6fe8f592286b5e0fdde686504ffb
-SHA256 (xc/vnc-4_1_2-unixsrc.tar.gz) = ed73cd1abf4c4044032929fa2dd023d851f5fe37f88009523d3b08b7d836d542
-SIZE (xc/vnc-4_1_2-unixsrc.tar.gz) = 537713
+MD5 (xc/vnc-4_1_3-unixsrc.tar.gz) = a119f3c75ad2767c0588260e2abe39be
+SHA256 (xc/vnc-4_1_3-unixsrc.tar.gz) = a5897cbeaef74e02f23d43b89905f5a218041292743ed469f45092073c2bc047
+SIZE (xc/vnc-4_1_3-unixsrc.tar.gz) = 550870
 MD5 (xc/X430src-1.tgz) = 4f241a4f867363f40efa2b00dca292af
 SHA256 (xc/X430src-1.tgz) = 5276b045e154948fce7abba7d686406c65862d90b43b50f2546b33e38378f0d7
 SIZE (xc/X430src-1.tgz) = 10993622
--- 4.1.2-to-4.1.3.diff ends here ---
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual   
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook 
    {_.-``-'         {_/            #
Comment 4 Wesley Shields freebsd_committer 2008-11-02 19:28:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 5 dfilter service freebsd_committer 2008-12-27 03:08:36 UTC
wxs         2008-12-27 03:08:15 UTC

  FreeBSD ports repository

  Modified files:
    net/vnc              Makefile distinfo 
  Log:
  - Update to 4.1.3
  - This is still buggy on AMD64, I'm working on a fix.
  
  PR:             ports/128510, ports/128515, ports/129289, ports/129894
  Submitted by:   Lots of people
  
  Revision  Changes    Path
  1.62      +3 -6      ports/net/vnc/Makefile
  1.20      +3 -3      ports/net/vnc/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2008-12-27 03:08:59 UTC
State Changed
From-To: feedback->closed

Updated to 4.1.3